#
# ICO (previously known as Inmarsat-P or Project 21)
#
# Zero phasing between planes, since odd number of sats 180deg opposed
# means that sats cross the other plane halfway between sats in that plane,
# which is ideal for coverage.
#
# this script for SaVi 1.2, by Lloyd Wood (L.Wood@surrey.ac.uk)
# http://www.ee.surrey.ac.uk/Personal/L.Wood/constellations/
#
# $Id: ico.tcl,v 1.4 2004/12/26 14:47:20 lloydwood Exp $

set SATS_PER_PLANE 5
set NUM_PLANES 2

# setup orbital elements
# altitude was 10,355km until recently.
# Noticed and confirmed change to 10,390km in October 1998.
set a [expr 10390.0+$RADIUS_OF_EARTH]
set e 0.0
set inc 45.0
set omega 0.0
set T_per [expr 2 * $PI * pow($a,1.5) / sqrt($MU)]

# elevation angle of 10 degrees

set coverage_angle 10.0

satellites GV_BEGIN
for {set j 0} {$j < $NUM_PLANES} {incr j} {
	set Omega [expr $j * 360.0 / $NUM_PLANES ]
	for {set i 0} {$i < $SATS_PER_PLANE} {incr i} {
		set T [expr $T_per * $i / $SATS_PER_PLANE ]
		satellites LOAD $a $e $inc $Omega $omega $T
	}
}
satellites GV_END
